\name{aRTconn}

\docType{class}

\alias{aRTconn-class}
\alias{openConn}

\title{Class aRTconn}
\description{Class that stores a virtual DBMA connection and manipulates databases.
The connection is virtual because each time a function is called, it connects, does
something and then disconnects.}

\section{Objects from the Class}{
Objects can be created by calls of the form \code{openConn(user, password, port, host)}.
}

\section{Arguments}{
  \describe{
  \item{user}{User of the DBMA. The default is the user logged in the system.}
  \item{password}{The password, default is "".}
  \item{port}{Port of the connection,  default value is 3306.}
  \item{host}{Host to connect, default is "localhost".}
  }
}

\section{Extends}{
Class \code{aRTcomponent}, directly.
}

\section{Methods}{
  \describe{
	\item{addUser:}{Grants ALL permissions on the DBMS to a user.}
	\item{createDb:}{Creates a new database and returns it.}
	\item{deleteDb:}{Removes a database from the DBMS.}
	\item{openDb:}{Opens an existent database from the DBMS.}
    \item{showDbs:}{Shows the avilable databases.}
  }
}

\references{\url{http://www.est.ufpr.br/aRT}}

\author{Marcos Aurelio Carrero and Pedro Ribeiro de Andrade Neto}

\seealso{
  See \code{aRT-METHOD} for a method of this class  or
      \code{CLASSNAME-class} for links to other classes.
}

\keyword{classes}

% vim: syntax=tex
